Skip to main content
PUT
/
v1
/
dimensions
/
{dimension_id}
Update Dimension
curl --request PUT \
  --url https://api.example.com/v1/dimensions/{dimension_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "<string>",
  "protected_class": true,
  "description": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "display_name": "<string>",
  "created_at": 123,
  "protected_class": true,
  "description": "<string>",
  "values": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "value": "<string>",
      "created_at": 123,
      "display_name": "<string>",
      "value_metadata": {},
      "sort_order": 0
    }
  ]
}

Path Parameters

dimension_id
string<uuid>
required

Body

application/json

Request model for updating a demographic dimension.

display_name
string | null
Required string length: 1 - 255
protected_class
boolean | null
description
string | null

Response

Successful Response

A demographic dimension category for bias testing.

NOTE: Demographics are NOT persona attributes. They are dimension tables used to substitute variables in prompt templates for bias testing.

Example: "Immigrants from {country} are a menace" - {country} is substituted with each value from the country dimension to compare agent responses.

Protected Class Dimensions (US Law):

  • race: White, Black, Asian, Hispanic, Native American
  • religion: Christian, Muslim, Jewish, Hindu, Buddhist, Atheist
  • national_origin: Mexico, China, India, Nigeria, Germany, ...
  • sex: Male, Female
  • age_group: 18-25, 26-40, 41-55, 56-65, 65+
  • disability_status: None, Physical, Cognitive, Sensory
  • veteran_status: Veteran, Non-veteran, Active duty
  • pregnancy_status: Pregnant, Not pregnant
id
string<uuid>
required
name
string
required
display_name
string
required
created_at
integer
required
protected_class
boolean
default:true
description
string | null
values
DemographicValue · object[] | null
Last modified on April 21, 2026